Get Evaluation
curl --request GET \
--url https://api.promptlayer.com/reports/{report_id} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.promptlayer.com/reports/{report_id}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.promptlayer.com/reports/{report_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"report": {
"id": 123,
"name": "<string>",
"deleted": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"workspace_id": 123,
"comment": "<string>",
"is_blueprint": true,
"score": {},
"score_configuration": {},
"score_matrix": "<array>",
"score_calculation_error": "<string>",
"parent_report_id": 123,
"dataset_id": 123,
"user_id": 123,
"prompt_registry_id": 123,
"prompt_version_number": 123
},
"stats": {
"status_counts": {
"COMPLETED": 123,
"FAILED": 123,
"QUEUED": 123,
"RUNNING": 123
}
},
"report_columns": [
{
"id": 123,
"report_id": 123,
"column_type": "<string>",
"name": "<string>",
"position": 123,
"is_part_of_score": true,
"configuration": {},
"score": 123
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Evaluations & Reports API
Get Evaluation
GET
/
reports
/
{report_id}
Get Evaluation
Legacy Dataset, Evaluation, and Report endpoints are deprecated for new workflows. Use the Tables API for new dataset import, evaluation, scoring, recalculation, and reporting workflows.
GET /reports/{report_id}/score endpoint instead (link).Authorizations
Path Parameters
ID of the report to retrieve.
Response
Report retrieved successfully
The report data with all fields
Show child attributes
Show child attributes
Overall status of the report execution
Available options:
RUNNING, COMPLETED Show child attributes
Show child attributes
Ordered list of column configurations for this report.
Show child attributes
Show child attributes
Was this page helpful?
⌘I

